# cChannelType Class Reference
[Internal classes]

`#include <ctypes.h>`

Inheritance diagram for cChannelType:

List of all members.

## Detailed Description

Abstract base class for channel types.

One is expected to redefine the create() method to construct and return a channel object (cChannel subclass) of the appropriate type and attributes set. The class has to be registered via the Define_Channel() macro.

## Public Member Functions

Constructors, destructor, assignment
| cChannelType (const char *name=NULL)
virtual | ~cChannelType ()
cChannelType & | operator= (const cChannelType &)
Channel object creation
virtual cChannel * | create (const char *name)=0

## Constructor & Destructor Documentation

cChannelType::cChannelType | ( | const char * | name = `NULL` | ) |

| Constructor.

virtual cChannelType::~cChannelType | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual cChannel* cChannelType::create | ( | const char * | name | ) | `[pure virtual]`

| Factory method to create a channel object. Implemented in cLinkType.

cChannelType& cChannelType::operator= | ( | const cChannelType & |  | ) | `[inline]`

| Assignment is not supported by this class: this method throws a cRuntimeError when called.

The documentation for this class was generated from the following file:

- ctypes.h